* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html,
body {
    font-family: 'Montserrat', sans-serif;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
}

h2 {
    text-align: center;
    color: white;
    font-weight: 700;
    font-size: 2rem;
}

h3 {
    text-align: center;
    color: white;
    font-weight: 400;
    margin-bottom: 17px;
}

.our-work {

    padding-top: 110px;
    padding-bottom: 110px;

    display: grid;
    grid-auto-columns: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-template-columns: minmax(15px, 1fr) minmax(1024px, 1fr) minmax(15px, 1fr);
    grid-template-rows: auto;
    background-color: #d62619;
    color: #fff;
    text-align: center;
    justify-content: center;
    justify-items: center;
}



.galery {

    display: grid;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
    text-align: center;
}


@media screen and (max-width: 1024px) {
    .our-work {
        grid-template-columns: minmax(15px, 1fr) minmax(calc(100%/2), 1fr) minmax(15px, 1fr);
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .galery {
        grid-template-columns: 1fr 1fr;
    }

    #galery-item-03 {
        grid-column-end: 3;
        grid-column-start: 2;
        grid-row-end: 3;
        grid-row-start: 2;
    }

    #galery-item-04 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-end: 3;
        grid-row-start: 2;
    }

    #galery-item-05 {
        grid-column-start: 2;
        grid-column-end: 3;

        grid-row-end: 4;
        grid-row-start: 3;
    }

    #galery-item-06 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-end: 4;
        grid-row-start: 3;
    }
}



@media screen and (max-width: 560px) {

    .galery {
        grid-template-columns: 1fr;

    }

    #galery-item-01 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 1;
        grid-row-end: 2;
    }

    #galery-item-02 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 2;
        grid-row-end: 3;
    }

    #galery-item-03 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 3;
        grid-row-end: 4;
    }

    #galery-item-04 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 4;
        grid-row-end: 5;
    }

    #galery-item-05 {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 6;
        grid-row-end: 7;

    }

    #galery-item-06 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 5;
        grid-row-end: 6;
    }

    #galery-item-07 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 9;
        grid-row-end: 10;
    }

    #galery-item-08 {
        grid-column-end: 2;
        grid-column-start: 1;
        grid-row-start: 7;
        grid-row-end: 8;
    }

}

.galery-container {

    grid-column-end: 3;
    grid-column-start: 2;
    grid-row-end: 2;
    grid-row-start: 1;
}

.underline {
    margin: 0 auto;
    width: 47px;
    border-bottom: 4px solid white;
    margin-bottom: 48px;
}

.galery-item {
    overflow: hidden;
    width: calc(100%/4);
    min-width: 256px;
    height: 256px;
    background-color: #f35e59;
}

.galery-item .text-item {
    color: white;
    padding: 70px 0;
}

.zoom {
    transition: transform .2s;
}

.zoom:hover {
    transform: scale(1.04);
}


.galery-item .text-item img {
    margin-bottom: 10px;
}

.galery-item .project-name {
    font-size: 1.5rem;
    font-weight: 600;
}

.galery-item .descriprion {
    font-size: .9rem;
    font-weight: 600;
}

.img-item img {
    height: 256px;
    object-fit: cover;
    object-position: -80px 0%;
}

.img-item .image-camera {
    object-position: -110px 0%;
}

.analisys {

    display: grid;
    grid-auto-columns: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-template-columns: minmax(15px, 1fr) auto minmax(15px, 1fr);
    grid-template-rows: auto;
    text-align: center;

    justify-items: center;
    justify-content: center;
    background-color: #1287bf;
}

.analisys-container {
    grid-column-end: 3;
    grid-column-start: 2;
    grid-row-end: 2;
    grid-row-start: 1;
    text-align: center;
    padding: 110px 15px;
}

.arrow-button {
    margin: 0 auto;
    width: 58px;
    height: 58px;
    border-radius: 100%;
    border: 3px solid white;
    margin-bottom: 75px;
}

.arrow-button img {
    margin-top: 20px;
    width: 24px;
}

.x-button {
    width: 45px;
    height: 45px;
    border-radius: 100%;
    border: 2px solid white;
    background-color: #de2b24;
    cursor: pointer;
    position: absolute;
    top: -22.5px;
    right: -22.5px;
    transition: transform .3s;
}

.x-button img {
    margin-top: 13px;
    width: 15px;
}

.x-button:hover {
    background-color: #f74640;
    transform: scale(1.03);
}

.popup {
    position: relative;
    background-color: white;
    border-radius: 3px;
    width: 100%;
    max-width: 683px;
}

.popup::before {
    position: absolute;
    content: "";
    width: 40px;
    height: 40px;
    transform: rotate(-45deg);
    background: #fff;
    top: -20px;
    z-index: 0;
    left: calc(50% - 20px);
}

.popup-form {
    padding: 50px 30px 70px 30px;
}

.popup-form p {
    margin: auto;
    max-width: 554px;
    font-size: .88rem;
    color: #828282;
    margin-bottom: 36px;
}

.popup-inputs {
    margin: auto;
    max-width: 443px;
}

.popup-input {
    height: 50px;
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    outline: none;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: .9rem;
}

.popup-input::placeholder {
    color: #b0b0b0;
}

.popup-input:focus {
    border: 1px solid #1287bf;
    box-shadow: 0 0 10px #719ECE;
}

.submit-btn {
    width: 161px;
    background-color: #de2b24;
    color: white;
    padding: 14px 20px;
    margin: 28px 0 0 0;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    font-weight: 700;
    font-size: .9rem;
}

@media screen and (max-width: 1024px) {
    .analisys-container {
        padding: 50px 15px;
    }

    .popup-form p {
        font-size: 1rem;
    }

    .submit-btn {
        width: 100%;
    }
}

.submit-btn:hover {
    background-color: #f74640;
}

.contacts {
    display: grid;
    grid-auto-columns: 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-template-columns: minmax(15px, 1fr) 5fr minmax(15px, 1fr);
    grid-template-rows: auto;
    text-align: center;
    background-color: #2a2a2a;
}

.contacts-container {
    margin: auto;
    grid-column-end: 3;
    grid-column-start: 2;
    grid-row-end: 2;
    grid-row-start: 1;
    text-align: center;
    width: 100%;
    max-width: 1024px;
    padding: 90px 15px;
}

.social-media {
    display: grid;
    grid-row-gap: 40px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: minmax(256px, 1fr);
    text-align: center;
    justify-items: center;
    justify-content: center;
    grid-template-rows: auto;
    margin: 0 auto;
    max-width: 350px;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

@media screen and (max-width: 480px) {
    .social-media {
        grid-template-columns: 1fr 1fr;
        max-width: 200px;
    }
}

.social-media .icon {
    width: 45px;
    height: 45px;
    border-radius: 4px;
    border: 2px solid #515151;
}

.social-media a {
    width: 45px;
    height: 45px;
    display: block;
}

.social-media .icon:hover {
    border: 2px solid #de2b24;
}

.social-media img {
    padding-top: 11px;
}

.contacts h3 {
    color: #cecece;
    margin-bottom: 30px;
    font-size: 1rem;
}

.contacts .subscribe-form {
    margin: 0 auto;
    max-width: 680px;
    width: 100%;
}

.contacts .subscribe-input {
    height: 50px;
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: none;
    outline: none;
    box-sizing: border-box;
    font-size: .9rem;
    background-color: #515151;
    color: #cecece;
}

.contacts .subscribe-input:focus {
    border: 2px solid #626262;
}

.contacts .subscribe-submit {
    width: 161px;
    background-color: rgba(255, 99, 71, 0);
    color: white;
    padding: 14px 20px;
    margin: 38px 0 0 0;
    border: 2px solid #515151;
    border-radius: 3px;
    cursor: pointer;
    font-weight: 700;
    font-size: 1rem;
}

.contacts .subscribe-submit:hover {
    background-color: #515151;
}

@media screen and (max-width: 1024px) {
    .contacts .subscribe-submit {
        width: 100%;
    }

    .contacts-container {
        padding: 50px 15px;
    }
}

footer {
    display: grid;
    background-color: #515151;
    height: 67px;
    text-align: center;
}

footer p {
    margin: auto;
    color: #cecece;
}